## axyl 2.1.6

=== Makefile ===
# Makefile for debian packaging

PKG = axyl

ifndef DEP
export DEP = yes
all: build-dep debian tarball
else
all: debian tarball
endif

clean:
	rm -f build-stamp-*
	rm -f debian/files
	rm -f debian/*debhelper
	rm -f debian/*.substvars
	rm -rf debian/$(PKG)
	touch build-stamp

build-dep:
	./build-dep.sh
	$(MAKE)

repository: debian
	./build-repository.sh

debian:	build-stamp-debian

tarball: build-stamp-tarball

build-stamp-debian: build-stamp
	./build-debian.sh
	touch build-stamp-debian

build-stamp-tarball: build-stamp-debian
	./build-tarball.sh
	touch build-stamp-tarball

.PHONY: clean build-dep debian tarball repository

=== debian/changelog ===
axyl (2.1.6) unstable; urgency=low

  * NOTE: The HTMLArea package currently being packaged with Axyl is not
    v3.0rc1 as stated below. It is a CVS version acquired post-v3.0rc1, which
    has been tested and found to integrate well with Axyl. (closes: #283706)
  * Updates to French debconf templates. (closes: #284607)
  * Enhancement to Postgresql DB install script. We now offer to edit the
    pg_hba.conf file to add 'trust' lines. (closes: #281732)
  * Updated MySQL axyl_core.sql and axyl_core_data.sql with latest schema
    changes. Added Metadata SQL to all DB flavours.
  * Fixed problem in IE with HTMLArea and media inserted from the Axyl
    catalog. HA was discarding content beyond our <object /> tag.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 26 Nov 2004 09:03:28 +1300

axyl (2.1.5) unstable; urgency=low

  * Fix db/postgres/install-db.sh to not run pg_ctl as root (closes: #281732)
  * Considerable enhancements to the form_wysiwygfield class to set the
    HTMLArea config object including toolbar definition and style settings.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 19 Nov 2004 07:16:54 +1300

axyl (2.1.4) unstable; urgency=low

  * Added Andrew McMillan as an "Uploader".
  * Streamlined layout-defs and block-defs by abstracting editor code.
    This should make standard rendering run faster.
  * Re-worked package building so that axyl-doc is built from the same
    source as axyl.
  * Moved all the Demo content out into axyl-doc. The 'examples' directory
    now has the script to install the Axyl demo website.
  * Fixed the bug preventing Wysiwyg blocks rendering the HTMLArea editor
    when being edited.
  * French debconf templates translation added. (closes: #279899)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  8 Nov 2004 14:22:55 +1300

axyl (2.1.3) unstable; urgency=high

  * Package split documentation into axyl-doc. Decision was based mainly
    on size factors.
  * Removal of HVmenu, replaced by Xmenu-xlayer. New support for this
    javascript menuing system. (closes: #278493)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  1 Nov 2004 07:48:56 +1300

axyl (2.1.2) unstable; urgency=low

  * Updated to use v3.0rc1 of htmlarea, and new framework provided via
    htmlarea-defs.php to utilise it.
  * Added extra whitespace styling options for menus, in particular
    the treemenu.
  * Schema changes - added new field ax_menuoption.is_parent to support
    provision of sub-menu headings which also navigate to a webpage.

 -- Paul Waite <paul@catalyst.net.nz>  Sat, 16 Oct 2004 11:14:00 +1300

axyl (2.1.1) unstable; urgency=low

  * Split single axyl package into axyl and axyl-lucene. The latter package
    is a bolt-on to axyl, and also contains the luceneserver source.
  * Added multilanguage capability via UTF-8.

 -- Paul Waite <paul@catalyst.net.nz>  Tue, 22 Sep 2004 20:18:00 +1200

axyl (2.1.0-3) unstable; urgency=low

  * Upload to Debian (closes: #260524)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 31 Aug 2004 18:36:04 +1200

axyl (2.1.0-2) unstable; urgency=low

  * Considerable improvements to the database-independent layer.
  * Completion of the Axyl Tour (demo installation).
  * Work on installation and website create scripts so that they
    can be used on other distros.
  * Started metadata enhancement (WIP).

 -- Paul Waite <paul@catalyst.net.nz>  Tue, 31 Aug 2004 08:48:00 +1200

axyl (2.1.0-1) unstable; urgency=low

  * Initial debianization

 -- Paul Waite <paul@catalyst.net.nz>  Tue, 1 May 2004 18:32:00 +1200

=== debian/control ===
Source: axyl
Section: web
Priority: optional
Maintainer: Paul Waite <paul@catalyst.net.nz>
Uploaders: Andrew McMillan <debian@mcmillan.net.nz>
Build-Depends-Indep: debhelper (>= 4.1.16), debconf, po-debconf
Standards-Version: 3.6.1

Package: axyl
Architecture: all
Depends: debconf, php4, php4-cgi | php4-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3)
Recommends: axyl-lucene, php4-pgsql
Suggests: axyl-doc
Description: The Axyl web development platform
 Axyl is a website development tool aimed at PHP developers. It provides a
 framework for all the commonly required elements: user sessions, menus and
 security, database connections (with DB-independent layer), versioned
 content management, and a large set of building blocks and classes for
 creating content delivery applications for HTML and WML.

Package: axyl-doc
Architecture: all
Depends: debconf, axyl (>= 2.1.3)
Description: The Axyl documentation
 Axyl is a website development tool aimed at PHP developers. It provides a
 framework for all the commonly required elements: user sessions, menus and
 security, database connections (with DB-independent layer), versioned
 content management, and a large set of building blocks and classes for
 creating content delivery applications for HTML and WML.
 .
 This package provides the Axyl documentation, which comprises a detailed
 API reference in HTML format produced using phpDocumentor, and a fully
 functional Axyl Tutorial website.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=axyl
dt=debian/$(package)
instroot=usr/share/$(package)
dataroot=var/lib/$(package)

package-doc=axyl-doc
dt-doc=debian/$(package-doc)
instroot-doc=usr/share/$(package-doc)

clean:
	dh_testdir
	dh_testroot
	debconf-updatepo
	dh_clean 

configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

configure: configure-stamp

build-stamp: configure
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

build: build-stamp
	dh_testdir
	dh_clean -k
	dh_installdirs

install-axyl: build
	# INSTALL axyl
	install -d $(dt)/DEBIAN \
		$(dt)/$(instroot)
	cp README $(dt)/$(instroot)
	cp -a etc $(dt)
	cp -a etc $(dt)/$(instroot)
	cp -a compat $(dt)/$(instroot)
	cp -a db $(dt)/$(instroot)
	cp -a install $(dt)/$(instroot)
	cp -a lib $(dt)/$(instroot)
	# Remove any ./lucene symlink..
	rm -f $(dt)/$(instroot)/lucene
	# Remove axyl-doc content..
	rm -f $(dt)/$(instroot)/db/postgres/axyl_demo.db
	# Xmenu license is included in the 'copyright' file
	# and INSTALL is not required here either..
	rm -f $(dt)/$(instroot)/lib/js/xmenu/COPYING
	rm -f $(dt)/$(instroot)/lib/js/xmenu/INSTALL
	# HTMLArea license is included in the 'copyright' file
	rm -f $(dt)/$(instroot)/lib/js/htmlarea/license.txt
	cp -a scripts $(dt)/$(instroot)
	cp -a www $(dt)/$(instroot)
	find $(dt) -depth -type d -name "CVS" -exec rm -rf {} \;
	find $(dt) -name ".cvsignore" -exec rm -f {} \;
	find $(dt) -name ".#*" -exec rm -f {} \;
	find $(dt) -name "diffs.sql" -exec rm -f {} \;
	find $(dt) -iname "*.log" -exec rm -f {} \;
	find $(dt) -iname "*.pdb" -exec rm -f {} \;

install-axyl-doc: build
	# INSTALL axyl-doc
	install -d $(dt-doc)/DEBIAN \
		$(dt-doc)/$(instroot-doc) \
		$(dt-doc)/$(instroot-doc)/db \
		$(dt-doc)/$(instroot-doc)/db/postgres
	cp -a db/postgres/axyl_demo.db $(dt-doc)/$(instroot-doc)/db/postgres
	cp -a demo $(dt-doc)/$(instroot-doc)
	find $(dt-doc) -depth -type d -name "CVS" -exec rm -rf {} \;
	find $(dt-doc) -name ".cvsignore" -exec rm -f {} \;
	find $(dt-doc) -name ".#*" -exec rm -f {} \;
	find $(dt-doc) -name "diffs.sql" -exec rm -f {} \;
	find $(dt-doc) -iname "*.log" -exec rm -f {} \;
	find $(dt-doc) -iname "*.pdb" -exec rm -f {} \;

# Build architecture-independent files here.
binary-indep: build install-axyl install-axyl-doc
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	find $(dt) -depth -type d -name "CVS" -exec rm -rf {} \;
	find $(dt) -name ".cvsignore" -exec rm -f {} \;
#	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/axyl.7
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch:
# Nothing to do here.

binary: binary-indep binary-arch
.PHONY: build install-axyl install-axyl-doc clean binary-indep binary-arch binary configure

## axyl 2.1.7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,12 @@
 # Makefile for debian packaging
 
 PKG = axyl
+
+ifdef DEBEMAIL
+ifdef DEBFULLNAME
+DEBUSER=$(DEBFULLNAME) <$(DEBEMAIL)>
+endif
+endif
 
 ifndef DEP
 export DEP = yes
@@ -29,7 +35,7 @@
 tarball: build-stamp-tarball
 
 build-stamp-debian: build-stamp
-	./build-debian.sh
+	./build-debian.sh "$(DEBUSER)"
 	touch build-stamp-debian
 
 build-stamp-tarball: build-stamp-debian

=== debian/changelog ===
axyl (2.1.7) unstable; urgency=low

  * Introduced 'axyl.version' file which resides in /etc/axyl - this contains
    the current package version of Axyl.
  * Introduced the Axyl website 'database', a file kept by the system and
    to which created websites are registered. Not crucial to Axyl operation
    but is used by some scripts to better manage the Axyl installation. This
    requires the 'install/create-axyl-website.sh' to create sites, and the
    'install/remove-axyl-website.sh' script to remove them, rather than
    ad-hoc copying to manage websites. This database is a CSV file and it
    lives in ${AXYL_DATA}/system/axyl_websites.csv. It can be rebuilt at any
    time using the 'install/rebuild-website-db.sh' script.
  * Scripts 'axyl-databases-upgrade.php' and 'pg-microsites-installer.php'
    use the new website database to iterate through local Axyl sites. This
    provides a much more reliable way for users to upgrade all Axyl websites.
  * In wysiwyg editor we now use an img tag rather than an object tag, to
    get around problems rendering object tags. We now use a standard 'Axyl
    Media' placeholder image.
  * Added News Article handling. News administration screen, plus full-featured
    class to encapulate articles, and methods of viewing these in a nice
    dedicated web-page, and list them in a sidebar. Articles can be grouped
    into categories, and assigned a publishing location. Lucene indexing
    and querying via the provided search field is all implemented.
  * Added a new calendar class widget to provide a user interface for the
    selection of dates in a webpage. Provided example webpage of usage.
  * Added form_imagecombo class. Shows a dropdown select of images, and
    previews these just below in a thumbnail.
  * Added privileges override for content-managed layouts. The default
    groups are still 'Editor' and 'Author', however privileges for editing,
    publishing and entry can now be over-ridden and assigned to other
    user groups in the layout definition screen.
  * Many additions and improvements in the package installation. A website
    'database' is now kept which contains all registered Axyl websites that
    have been created using 'create-axyl-website.sh'. This will also be
    rebuilt on every package install/upgrade.  Also fixed problem with the
    way postinst was updating the Postresql security file pg_hba.conf.
  * Added Microsites functionality. This is a front-end 'builder' which uses
    Axyl themes to allow the generation/maintenance of sub-websites of the
    host website, based on server URL (eg. virtual host servername). It
    uses a cron-driven approach for publishing the microsites, which are
    inserted into the parent Apache virtual host as a ServerAlias. Microsite
    features have to be enabled in the control panel. If not enabled, then
    there will be no overhead as far as website rendering is concerned.
    Axyl now also partitions certain items by microsite, such as the Media
    Catalog, News Articles, and Webpages maintenance. Also, Lucene indexing
    and searching is sensitive to microsite and will correctly parition
    content for each one, and also separately from the 'parent' site.
  * Added the Brazilian Portuguese (pt_BR.po) debconf template translation.
    (closes: #297047)
  * Added the Czech translation (cs.po) debconf template translation.
    (closes: #297591)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 05 Feb 2005 12:20:28 +1300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: axyl
 Architecture: all
-Depends: debconf, php4, php4-cgi | php4-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3)
+Depends: debconf, debianutils (>=1.6), php4, php4-cgi | php4-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3)
 Recommends: axyl-lucene, php4-pgsql
 Suggests: axyl-doc
 Description: The Axyl web development platform

=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,7 @@
 	find $(dt) -name ".#*" -exec rm -f {} \;
 	find $(dt) -name "diffs.sql" -exec rm -f {} \;
 	find $(dt) -iname "*.log" -exec rm -f {} \;
+	find $(dt) -iname "*.bak" -exec rm -f {} \;
 	find $(dt) -iname "*.pdb" -exec rm -f {} \;
 
 install-axyl-doc: build
@@ -81,6 +82,7 @@
 	find $(dt-doc) -name ".#*" -exec rm -f {} \;
 	find $(dt-doc) -name "diffs.sql" -exec rm -f {} \;
 	find $(dt-doc) -iname "*.log" -exec rm -f {} \;
+	find $(dt-doc) -iname "*.bak" -exec rm -f {} \;
 	find $(dt-doc) -iname "*.pdb" -exec rm -f {} \;
 
 # Build architecture-independent files here.
@@ -100,7 +102,7 @@
 #	dh_installpam
 #	dh_installmime
 #	dh_installinit
-#	dh_installcron
+	dh_installcron
 #	dh_installinfo
 	dh_installman debian/axyl.7
 	dh_link

## axyl 2.1.9

=== debian/changelog ===
axyl (2.1.9) unstable; urgency=low

  * Added the alternative dependency for debconf-2.0. (closes: #331753)
  * Tidied up the postinst user confirmation section. (closes: #326264)
  * Fixed copy/paste layout bug where paste did not occur.
  * Fixed recursive media object regex replace bug.
  * Fixed failed login re-direct bug.
  * Fixed microsites installer cron job and made it optional via debconf.
  * Changed monitor class to be Nagios-compliant.
  * Made Axyl user creation process create system users. Also enhanced the
    way groups are created and assigned. (closes: #327189, #311528)
  * Added per database connection char encoding and datestyle format.
  * Added RememberMe feature for user logins to request 'forever' cookie life.
  * Added control panel option to log response timings in mS.
  * Fixed deferred transaction failure bug.
  * Re-worked control panel in tabbed format.
  * Added remote user authentication via remote database.
  * Added options for user password encryption, including hook for user-defined.
  * Database upgrade script now dynamically assembles required patches.
  * Debconf - template for internal variable 'old_core_filename' flagged as not
    requiring translation. (closes: #320598)
  * Debconf - Updated French template. (closes: #329356)
  * Debconf - Added Swedish template. (closes: #333747)
  * Debconf - Vietnamese utf-8 issue fixed. (closes: #313142)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 21 Nov 2005 17:43:00 +1300

axyl (2.1.8) unstable; urgency=low

  * Added password management and security features: password expiry,
    strength constraints on user-chosen passwords, failed password attempt
    account lockout. All configurable per website. New Axyl websites
    will now require password change on first access for the standard
    out-of-the-box accounts 'axyl' and 'ed'.
  * Added automatic database upgrade patching. On upgrade the SQL patch
    for the appropriate database type is applied to each Axyl website.
  * Added the Japanese debconf template translation (ja.po).
    (closes: #307137)
  * Added updated French debconf template translation (fr.po).
    (closes: #307892)
  * Added updated Czech debconf template translation (cs.po).
    (closes: #313249)
  * Added new Vietnamese debconf template translation (vi.po).
    (closes: #313142)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 14 May 2005 16:03:22 +1300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Paul Waite <paul@catalyst.net.nz>
 Uploaders: Andrew McMillan <debian@mcmillan.net.nz>
-Build-Depends-Indep: debhelper (>= 4.1.16), debconf, po-debconf
+Build-Depends-Indep: debhelper (>= 4.1.16), debconf | debconf-2.0, po-debconf
 Standards-Version: 3.6.1
 
 Package: axyl
 Architecture: all
-Depends: debconf, debianutils (>=1.6), php4, php4-cgi | php4-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3)
+Depends: debconf | debconf-2.0, debianutils (>=1.6), php4, php4-cgi | php4-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3) | apache2
 Recommends: axyl-lucene, php4-pgsql
 Suggests: axyl-doc
 Description: The Axyl web development platform
@@ -20,7 +20,7 @@
 
 Package: axyl-doc
 Architecture: all
-Depends: debconf, axyl (>= 2.1.3)
+Depends: debconf | debconf-2.0, axyl (>= 2.1.3)
 Description: The Axyl documentation
  Axyl is a website development tool aimed at PHP developers. It provides a
  framework for all the commonly required elements: user sessions, menus and

## axyl 2.1.13

=== debian/changelog ===
axyl (2.1.13) unstable; urgency=low

  * Function find_location_of in install/axyl-common-funcs.sh needs
    to skip non-existant directories passed as arguments. This is
    now fixed thanks to a patch from Andreas Henriksson - thanks
    go to him for a quick response. (closes: #404057)

 -- Paul Waite <paul@waite.net.nz>  Sat, 23 Dec 2006 08:30:00 +1300

axyl (2.1.12) unstable; urgency=low

  * Added shellconfigfile and iniconfigfile classes to file-defs.php.
    NOTE: also changed existing class inputfile. The closefile method
    now sets 'opened' to false, and readall() uses file_get_contents().
  * Created a new set of Search Engine classes, which separate the
    high-level indexing/search classes from the underlying search
    engine itself. This is to allow us to provide an interface to Solr,
    later on, as an alternative to our own Lucene Server Daemon.
  * Searches can now accumulate hits with repeated execute().
  * Fixed small bug in datetime-defs.php with dayNow() function.
  * Debconf - Updated Brazilian Portugese template. (closes: #400554)
  * Debconf - Added German template. (closes: #401085)

 -- Paul Waite <paul@waite.net.nz>  Wed, 6 Dec 2006 14:32:00 +1300

axyl (2.1.11) unstable; urgency=low

  * Replacement of addslashes() function by escape_string() Axyl function
    which references the low-level database string-escape method for the
    currently connection database. Also replaced stripslashes() with the
    unescape_string() function.
  * Fixed group membership assignment, so now it doesn't discard the
    existing membership when an existing account is chosen for AXUSER.
  * Moved 'lucene_fileindexer' class definition out of lucene-defs.php into
    new file 'search-fileindex-defs.php' and renamed to 'fileindexer'.
    Part of gradual move to going Solr.

 -- Paul Waite <paul@waite.net.nz>  Fri, 12 Sep 2006 11:05:58 +1200

axyl (2.1.10) unstable; urgency=low
  * Small fixups to the main library of undefined vars.
  * Fix to line-endings bug in mail-defs.php. Now emits Unix line-ends.
  * Better handling of stuff like '*:80' in Apache config scripting.
  * Fixes to make usage of 'su' in scripts Debian-su-compliant (this
    is discussed at length in bug number 276419 in the BTS).
  * Clear Php filesystem stat cache for file monitor in monitor-defs.php.
  * Allow javascript: URLs to be typed in as menu Url targets.
  * Debconf - Updated Swedish template. (closes: #347602)
  * Debconf - Updated Czech template. (closes: #345356)
  * Debconf - Updated French template. (closes: #346219)
  * Debconf - Updated Portugese/Brazilian template. (closes: #373972)

 -- Paul Waite <paul@waite.net.nz>  Thu, 24 Aug 2006 10:27:00 +1200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: axyl
 Section: web
 Priority: optional
-Maintainer: Paul Waite <paul@catalyst.net.nz>
-Uploaders: Andrew McMillan <debian@mcmillan.net.nz>
+Maintainer: Paul Waite <paul@waite.net.nz>
+Uploaders: Paul Waite <paulwaite@debian.org>, Andrew McMillan <debian@mcmillan.net.nz>
 Build-Depends-Indep: debhelper (>= 4.1.16), debconf | debconf-2.0, po-debconf
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: axyl
 Architecture: all
-Depends: debconf | debconf-2.0, debianutils (>=1.6), php4, php4-cgi | php4-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3) | apache2
+Depends: debconf | debconf-2.0, debianutils (>=1.6), php4, php4-cgi | php4-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3) | apache2, adduser (>=3.63)
 Recommends: axyl-lucene, php4-pgsql
 Suggests: axyl-doc
 Description: The Axyl web development platform

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 	cp README $(dt)/$(instroot)
 	cp -a etc $(dt)
 	cp -a etc $(dt)/$(instroot)
+	cp -a misc $(dt)/$(instroot)
 	cp -a compat $(dt)/$(instroot)
 	cp -a db $(dt)/$(instroot)
 	cp -a install $(dt)/$(instroot)

## axyl 2.1.13ubuntu2

=== debian/changelog ===
axyl (2.1.13ubuntu2) gutsy; urgency=low

  * dpatch support added
  * Use dash-compliant syntax in some install/ scripts (LP: 90895)

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 13 Jun 2007 13:52:34 +0200

axyl (2.1.13ubuntu1) gutsy; urgency=low

  * Depends on PHP 5 packages (LP: 96342)
  * Update maintainer field in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 12 Apr 2007 22:19:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: axyl
 Section: web
 Priority: optional
-Maintainer: Paul Waite <paul@waite.net.nz>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Waite <paul@waite.net.nz>
 Uploaders: Paul Waite <paulwaite@debian.org>, Andrew McMillan <debian@mcmillan.net.nz>
-Build-Depends-Indep: debhelper (>= 4.1.16), debconf | debconf-2.0, po-debconf
+Build-Depends-Indep: debhelper (>= 4.1.16), debconf | debconf-2.0, po-debconf, dpatch
 Standards-Version: 3.6.2
 
 Package: axyl
 Architecture: all
-Depends: debconf | debconf-2.0, debianutils (>=1.6), php4, php4-cgi | php4-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3) | apache2, adduser (>=3.63)
-Recommends: axyl-lucene, php4-pgsql
+Depends: debconf | debconf-2.0, debianutils (>=1.6), php5, php5-cgi | php5-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3) | apache2, adduser (>=3.63)
+Recommends: axyl-lucene, php5-pgsql
 Suggests: axyl-doc
 Description: The Axyl web development platform
  Axyl is a website development tool aimed at PHP developers. It provides a

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+include /usr/share/dpatch/dpatch.make
 
 package=axyl
 dt=debian/$(package)
@@ -15,7 +17,7 @@
 dt-doc=debian/$(package-doc)
 instroot-doc=usr/share/$(package-doc)
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	debconf-updatepo
@@ -28,7 +30,7 @@
 
 configure: configure-stamp
 
-build-stamp: configure
+build-stamp: patch-stamp configure
 	dh_testdir
 	# Add here commands to compile the package.
 	touch build-stamp

## axyl 2.1.14

=== debian/changelog ===
axyl (2.1.14) unstable; urgency=low

  * Fixed Php dependencies to include php5. Also changed scripts to
    reference /usr/bin/php rather than the binary. This uses the
    /etc/alternatives system (closes: #424782)
  * Fixed minor typos in axyl.template (closes: #425764)
  * Reworked install and website create scripts such that they now
    correctly detect configuration settings for both apache and
    apache2.
  * Reworked the install and website create scripts to correctly
    detect the multi-version clustered PostgreSQL 8.x as well as
    still working with v7.4.
  * Added the Xinha wysiwyg editor and made it the default. This
    is a fork of the no-longer maintained HTMLarea, which is
    still retained in Axyl, but will disappear in near future.

 -- Paul Waite <paul@waite.net.nz>  Fri, 6 Jul 2007 12:06:00 +1200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: axyl
 Section: web
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Waite <paul@waite.net.nz>
+Maintainer: Paul Waite <paul@waite.net.nz>
 Uploaders: Paul Waite <paulwaite@debian.org>, Andrew McMillan <debian@mcmillan.net.nz>
-Build-Depends-Indep: debhelper (>= 4.1.16), debconf | debconf-2.0, po-debconf, dpatch
-Standards-Version: 3.6.2
+Build-Depends-Indep: debconf | debconf-2.0
+Build-Depends: debhelper, po-debconf
+Standards-Version: 3.7.2
 
 Package: axyl
 Architecture: all
-Depends: debconf | debconf-2.0, debianutils (>=1.6), php5, php5-cgi | php5-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3) | apache2, adduser (>=3.63)
-Recommends: axyl-lucene, php5-pgsql
+Depends: debconf | debconf-2.0, debianutils (>=1.6), bash (>=2.0), php | php4 | php5, php-cli | php4-cli | php4-cgi | php5-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3) | apache2, adduser (>=3.58)
+Recommends: axyl-lucene
 Suggests: axyl-doc
 Description: The Axyl web development platform
  Axyl is a website development tool aimed at PHP developers. It provides a
@@ -21,7 +21,7 @@
 
 Package: axyl-doc
 Architecture: all
-Depends: debconf | debconf-2.0, axyl (>= 2.1.3)
+Depends: debconf | debconf-2.0, axyl
 Description: The Axyl documentation
  Axyl is a website development tool aimed at PHP developers. It provides a
  framework for all the commonly required elements: user sessions, menus and

## axyl 2.1.14ubuntu1

=== debian/changelog ===
axyl (2.1.14ubuntu1) hardy-proposed; urgency=low

  * install/axyl-common-funcs.sh:
    - Fix bashisms which caused errors in configure phase (LP: #222000).
  * install/detect-apache.sh, debian/axyl.postinst:
    - Backport a fix from version 2.4.0 to solve a configure problem
      with new Apache 2 envvars file.
  * debian/control:
    - Update Maintainer field as per spec.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 18 Jun 2008 09:10:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: axyl
 Section: web
 Priority: optional
-Maintainer: Paul Waite <paul@waite.net.nz>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Waite <paul@waite.net.nz>
 Uploaders: Paul Waite <paulwaite@debian.org>, Andrew McMillan <debian@mcmillan.net.nz>
 Build-Depends-Indep: debconf | debconf-2.0
 Build-Depends: debhelper, po-debconf

## axyl 2.6.0

=== debian/changelog ===
axyl (2.6.0) unstable; urgency=low

  * Fixes bashism ('function ' prefix on funcs) as per patches notified
    by Luca Falavigna - thanks to him for that. (closes: #486634)
  
 -- Paul Waite <paul@waite.net.nz>  Tue, 18 Jun 2008 07:56:56 +1200

axyl (2.5.0) unstable; urgency=low
  * Add 'wikitable2html()' function to utils.php. Takes a string
    and inserts an HTML table in place of wikitable, if found.
  * Added <optgroup> capability to standard form_combobox element
    via new method optgroup() and optgroup_end().
  
 -- Paul Waite <paul@waite.net.nz>  Mon, 9 Jun 2008 07:24:00 +1200

axyl (2.4.0) unstable; urgency=low
  * Fixed installation problem with Apache2 having shifted its
    run-user and run-group settings to an 'envvars' file.
  * Added a platform for including JSON-RPC calls into a webpage.
    See lib/json-rpc-defs, www/axyl-rpc-services.smd, and
    www/axyl-rpc-processor.php for how to use.
  
 -- Paul Waite <paul@waite.net.nz>  Tue, 13 May 2008 10:44:12 +1200

axyl (2.3.0) unstable; urgency=low

  * Cleaned out some old compat code fom debugger.php
  * Made antihack.php SELECT detection more sensitive.
  * In html-defs.php added <div> class. Added new parm to the row
    methods to allow addition of ready-made tablerow objects. New
    property 'physfileexists' for the <img> class. Tag attributes
    are generated in slightly different order.
  * In file-defs.php get_file_extn() function does not munge the
    extension to lowercase. It leaves it as it is.
  * Added new class definitions files: json-defs.php - allows
    Php objects to be JSON-ified, and vice-versa; dojo-editor-defs.php
    holds the Wysiwyg editor class for Dojo; dojo-widget-defs.php
    has various useful Dojo widgets such as number spinner, number
    slider, tab-container, content-pane etc.
  * In datetime-defs.php added a few more formats, incl. ISO8601,
    and enhanced prose_diff() utility function.
  * In utils.php added a new utility func called 'add_content_to()'
    which adds string content to another string in a variety of
    ways: replace, append, prefix. Can also be told to only add it
    if it doesn't already exist. Rationalised inline_script() to
    make use of this, which is itself used to add javascript to
    webpages. Also added new utility funcs: make_precis(), chunkify(),
    paras2ptags(), scrub_string() and ascii_string().
  * In catalog-defs.php implemented 'versions' of a piece of media
    such as a 'thumbnail' of an image etc. These have the same file
    name as the original media, but with the version name added.
  * Reworked the story-defs.php classes and story viewer to use
    the new dojo toolkit UI addition. Many changes here.
  * As part of dojo toolkit addition, have modified the main
    form_ widgets in form-defs.php to generate dojo code if
    dojo is enabled. Should have no effect unless using dojo.
  * Added the UI toolkit, dojo. This is optionally used for a page
    by calling $RESPONSE->set_ui_toolkit("dojo");
  * First cut RSS classes, and example feed for Axyl news. This
    supports both RSS 1.0 and 2.0.
  * Added new top-of-loop method to dbrows class: get_next_row().
  * Added javascript calendar widget and form_datefield() class.
  * Started SQLite db module (unfinished).
  * Debconf - Russian template. (closes: #473004)
  * Debconf - German template. (closes: #473042)
  * Debconf - Dutch template. (closes: #475040)
  * Debconf - Finnish template. (closes: #475257)
  * Debconf - French template. (closes: #476869)

 -- Paul Waite <paul@waite.net.nz>  Fri, 28 Mar 2008 08:26:26 +1300

axyl (2.2.0) unstable; urgency=low

  * Added 'axyl' command shell. Makes create/remove of websites
    that much easier. Should have been done much earlier (duh).
  * Removed /tmp usage(s) for security reasons. This also changes
    package purge behaviour from deleting all home, data and log
    content, to only deleting it if it is located in the default
    locations. (closes: #471227)
  * Moved to debra-controlled releases, using major/minor nos.
  * Changed/enhanced some of the detection and install scripts used
    in postinst, site creates and db upgrading.
  * Further Php4/Php5 compatibility work. Create clone() function only
    defined for Php4, and used this where object copies are required.
    Should be no change to functionality.
  * Removed HTMLarea. Xinha is now used instead.
  * Debconf - Spanish template. (closes: #467027)
  * Debconf - Finnish template. (closes: #470638)
  * Debconf - German template. (closes: #425763)
  * Debconf - French template. (closes: #441090)
  * Debconf - Portugese template. (closes: #415510)
  * [Lintian] Move the axyl-doc package to section doc.

 -- Paul Waite <paul@waite.net.nz>  Sun, 23 Mar 2008 13:36:00 +1300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: axyl
 Section: web
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Waite <paul@waite.net.nz>
+Maintainer: Paul Waite <paul@waite.net.nz>
 Uploaders: Paul Waite <paulwaite@debian.org>, Andrew McMillan <debian@mcmillan.net.nz>
 Build-Depends-Indep: debconf | debconf-2.0
 Build-Depends: debhelper, po-debconf
 Standards-Version: 3.7.2
 
 Package: axyl
+Section: web
 Architecture: all
-Depends: debconf | debconf-2.0, debianutils (>=1.6), bash (>=2.0), php | php4 | php5, php-cli | php4-cli | php4-cgi | php5-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3) | apache2, adduser (>=3.58)
+Depends: debconf | debconf-2.0, debianutils (>=1.6), bash (>=2.0), php4 | php5, php4-cli | php5-cli, apache (>=1.3) | apache-perl (>=1.3) | apache-ssl (>=1.3) | apache2, adduser (>=3.58)
 Recommends: axyl-lucene
 Suggests: axyl-doc
 Description: The Axyl web development platform
@@ -21,6 +21,7 @@
  creating content delivery applications for HTML and WML.
 
 Package: axyl-doc
+Section: doc
 Architecture: all
 Depends: debconf | debconf-2.0, axyl
 Description: The Axyl documentation

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-include /usr/share/dpatch/dpatch.make
 
 package=axyl
 dt=debian/$(package)
@@ -17,7 +15,7 @@
 dt-doc=debian/$(package-doc)
 instroot-doc=usr/share/$(package-doc)
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	debconf-updatepo
@@ -30,7 +28,7 @@
 
 configure: configure-stamp
 
-build-stamp: patch-stamp configure
+build-stamp: configure
 	dh_testdir
 	# Add here commands to compile the package.
 	touch build-stamp
@@ -46,6 +44,7 @@
 		$(dt)/$(instroot)
 	cp README $(dt)/$(instroot)
 	cp -a etc $(dt)
+	cp -a usr $(dt)
 	cp -a etc $(dt)/$(instroot)
 	cp -a misc $(dt)/$(instroot)
 	cp -a compat $(dt)/$(instroot)
@@ -64,9 +63,7 @@
 	rm -f $(dt)/$(instroot)/lib/js/htmlarea/license.txt
 	cp -a scripts $(dt)/$(instroot)
 	cp -a www $(dt)/$(instroot)
-	find $(dt) -depth -type d -name "CVS" -exec rm -rf {} \;
-	find $(dt) -name ".cvsignore" -exec rm -f {} \;
-	find $(dt) -name ".#*" -exec rm -f {} \;
+	find $(dt) -depth -type d -name ".svn" -exec rm -rf {} \;
 	find $(dt) -name "diffs.sql" -exec rm -f {} \;
 	find $(dt) -iname "*.log" -exec rm -f {} \;
 	find $(dt) -iname "*.bak" -exec rm -f {} \;
@@ -80,9 +77,7 @@
 		$(dt-doc)/$(instroot-doc)/db/postgres
 	cp -a db/postgres/axyl_demo.db $(dt-doc)/$(instroot-doc)/db/postgres
 	cp -a demo $(dt-doc)/$(instroot-doc)
-	find $(dt-doc) -depth -type d -name "CVS" -exec rm -rf {} \;
-	find $(dt-doc) -name ".cvsignore" -exec rm -f {} \;
-	find $(dt-doc) -name ".#*" -exec rm -f {} \;
+	find $(dt-doc) -depth -type d -name ".svn" -exec rm -rf {} \;
 	find $(dt-doc) -name "diffs.sql" -exec rm -f {} \;
 	find $(dt-doc) -iname "*.log" -exec rm -f {} \;
 	find $(dt-doc) -iname "*.bak" -exec rm -f {} \;
@@ -95,8 +90,7 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-	find $(dt) -depth -type d -name "CVS" -exec rm -rf {} \;
-	find $(dt) -name ".cvsignore" -exec rm -f {} \;
+	find $(dt) -depth -type d -name ".svn" -exec rm -rf {} \;
 #	dh_install
 #	dh_installmenu
 	dh_installdebconf
